> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bastion.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Signing Key

> Delete a registered device signing key for a given identity



## OpenAPI

````yaml /v2/openapi.yaml delete /v2/identities/{identity_id}/signing-keys/{key_id}
openapi: 3.1.0
info:
  title: Bastion APIs
  version: '2.0'
servers:
  - url: https://api.prod.bastion.com
    description: Production environment
  - url: https://api.sandbox.bastion.io
    description: Sandbox environment
security:
  - auth: []
tags:
  - name: Bastion APIs
paths:
  /v2/identities/{identity_id}/signing-keys/{key_id}:
    delete:
      tags:
        - Signing Keys
      summary: Delete Signing Key
      description: Delete a registered device signing key for a given identity
      operationId: bastion.api.v2.API.DeleteSigningKey
      parameters:
        - name: identity_id
          in: path
          required: true
          schema:
            type: string
            title: identity_id
        - name: key_id
          in: path
          required: true
          schema:
            type: string
            title: key_id
      responses:
        '204':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/bastion.api.v2.DeleteSigningKeyResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized Request
        '404':
          description: Resource not found
        '500':
          description: Internal Server Error
components:
  schemas:
    bastion.api.v2.DeleteSigningKeyResponse:
      type: object
      title: DeleteSigningKeyResponse
      additionalProperties: false
  securitySchemes:
    auth:
      type: http
      description: Bearer authentication with an API token
      scheme: bearer

````

## Related topics

- [Register Signing Key](/v2/api-reference/signing-keys/register-signing-key.md)
- [List Signing Keys](/v2/api-reference/signing-keys/list-signing-keys.md)
- [Rotate Webhook Signing Key](/v2/api-reference/webhooks/rotate-webhook-signing-key.md)
- [Delete Webhook](/v2/api-reference/webhooks/delete-webhook.md)
- [Request signing with JWTs](/v2/api-reference/authentication/request-signing.md)
